/*
  config.h

  Common declarations and handling of the configuration file.

  $Id: config.h 3 2000-01-04 11:35:42Z enz $
*/

#ifndef CONFIG_H
#define CONFIG_H

#include "common.h"

const char * Cfg_spoolDir( void );
const char * Cfg_version( void );

int Cfg_maxFetch( void );
int Cfg_autoUnsubscribeDays( void );
int Cfg_threadFollowTime( void );
int Cfg_connectTimeout( void );
Bool Cfg_autoUnsubscribe( void );
Bool Cfg_autoSubscribe( void );
Bool Cfg_removeMsgId( void );
Bool Cfg_replaceMsgId( void );
const char * Cfg_autoSubscribeMode( void ); /* Can be: full, thread, over */
const char * Cfg_mailTo( void );

/* Begin iteration through the server names */
void Cfg_beginServEnum( void );

/* Save next server name in "name". Return TRUE if name has been was saved.
   Return FALSE if there are no more server names. */
Bool Cfg_nextServ( Str name );

Bool Cfg_servListContains( const char *name );
/* Prefer server earlier in config file. Known servers are always preferential
   to unknown servers. */
Bool Cfg_servIsPreferential( const char *name1, const char *name2 );
void Cfg_authInfo( const char *name, Str user, Str pass );

void Cfg_read( void );

#endif
